跳到主要内容

创建因子挖掘任务

POST/strategy/miner/runs在线调试

成功创建任务后会产生费用。请确认路线编码与账户余额后再发起调试。

POST https://api.shengkezhi.com/open/v1/strategy/miner/runs
等效 curl
curl "https://api.shengkezhi.com/open/v1/strategy/miner/runs" \
  -H "Authorization: Bearer sk_xxx" \
  -H "Content-Type: application/json" \
  --data '{"routeCode":"RT_20260724_001","llm":{"mode":"byok","configId":"1b91e8e7-84ed-4f03-99ea-97f850555a40"}}'

POST /strategy/miner/runs — 创建因子挖掘任务。同一用户同一路线编码存在执行中任务时,将返回 409。

需在请求头携带 Authorization: Bearer sk_xxx。

计费​

接口调用成功并返回 fcRunId 后会产生费用,计费价格见产品定价。

请求体​

字段类型必填说明
routeCodestring是路线编码,由创建因子路线接口返回
llmobject否大模型选择;不传或 mode=platform 使用平台模型
llm.modestring否platform 或 byok
llm.configIdUUID否引用自定义大模型配置列表中的配置
llm.apiKeystring否临时使用的明文 API Key;与 configId 二选一
llm.baseUrlstring否临时配置的 Anthropic 兼容 API 地址
llm.modelstring否临时配置的模型标识
llm.saveAsstring否使用临时配置时,同时保存为账户配置

响应​

{ fcRunId, taskId, status, routeCode };成功入队时 status 为 queued。

特殊状态码​

状态码说明
402余额不足或扣费被拒
409该路线正在执行中
503扣费服务不可用或研究数据后端未就绪

实测​

curl -X POST "https://api.shengkezhi.com/open/v1/strategy/miner/runs" \
-H "Authorization: Bearer sk_xxx" \
-H "Content-Type: application/json" \
-d '{"routeCode":"RT_20260724_001","llm":{"mode":"byok","configId":"1b91e8e7-84ed-4f03-99ea-97f850555a40"}}'
{"fcRunId":"fc-run-20260724-abc123","taskId":"fc-run-20260724-abc123","status":"queued","routeCode":"RT_20260724_001"}